import processing.serial.*; //imcludes the serial object library

Serial port;  // creates local serial object from Serial library
int maxPinInput = 1023; // maximum value read from sensor
float myVal; // float storing converted ascii serial data
String myString; // variable to collect serial data

void setup() {
  size(200, 400); //size of the sketch
  String portName = Serial.list()[0]; // COM3 was listed as the first port on Arduino (index 0)
  port = new Serial(this, portName, 115200); //instantiating the serial monitor (baud rate must match)
}

void draw() {
  while (port.available() > 0) { //if there is data coming in from the serial monity
    myString = port.readStringUntil(10); //strips data of serial port
    if (myString != null) {
      background(255); // makes background white
      myVal = float(myString); // takes data from serial and turns it into a number
      myVal = myVal/maxPinInput *height; // adjusts the number so it fits on the sketch
      rectMode(CENTER); // fixing the rectangle in the center of the sketch
      // makes a rectangle. parameters 1 and 2: the x and y coordinates of the center (usually top left, but we did the rectMode method.
      // third parameter is the width, fourth is the height.
      rect(width/2, height - (myVal/2), width/2, myVal);
      fill(255,0,0); // makes the rectangle red
    }
  }
}
